Redeem my reward
curl --request POST \
--url https://{subdomain}.nudj.cx/api/v2/integration/me/rewards/{rewardAssetId}/redeem \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/integration/me/rewards/{rewardAssetId}/redeem"
headers = {"x-api-token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/integration/me/rewards/{rewardAssetId}/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organisationId": "<string>",
"communityId": "<string>",
"rewardId": "<string>",
"allocationId": "<string>",
"userId": "<string>",
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"redeemable": {
"type": "rich-text",
"additionalInformation": [
{
"variableConfigId": "<string>",
"required": true,
"position": 2
}
],
"content": "<string>",
"instructions": "<string>",
"instructionsImageUrl": "<string>",
"supportEmail": "jsmith@example.com",
"supportPhoneNumber": "<string>",
"supportUrl": "<string>",
"redeemByDate": "<string>"
},
"eventCategory": "achievement",
"eventSubCategory": "achievement-completion",
"tags": [
"<string>"
],
"campaigns": [
"<string>"
],
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"additionalCommunityIds": [
"<string>"
],
"eventSourceId": "<string>",
"claimedAt": "<string>",
"redeemedAt": "<string>",
"expiresAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Me
Redeem my reward
Redeem a reward that the current user owns.
POST
/
me
/
rewards
/
{rewardAssetId}
/
redeem
Redeem my reward
Authorizations
Headers
The language to return the reward in. If not provided, the default language for the organisation will be used.
Path Parameters
Minimum string length:
1Response
Successful response
A reward asset
Used to describe an entity
Show child attributes
Show child attributes
A reward asset redeemable rich text
- Reward Asset Redeemable Rich Text
- Reward Asset Redeemable Code
- RewardAssetRedeemableBadge
- Reward Asset Redeemable for a Shopify discount
Show child attributes
Show child attributes
Available options:
achievement, action, auth, blog, challenge, community, custom, game, leaderboard, organisation, points, post, referral, reward, shop, social, social-connection, streak, user, variable, xp Available options:
achievement-completion, facebook-comment, facebook-follow, facebook-like, image-analysis-object-detection, image-analysis-receipt-detection, instagram-follow, instagram-like, instagram-comment, instagram-share, instagram-post, interaction-engage-with-content, interaction-external-link, interaction-image-upload, interaction-spot-object, platform-comment-on-post, platform-complete-achievement, platform-generative-action, platform-like-post, platform-play-game, platform-validate-event, question-multiple-choice, question-open-ended, question-rate-your-experience, question-secret-access-code, question-select-date, question-select-from-images, question-select-value-in-range, question-select-from-list, question-closed-ended, question-vote, spotify-follow, spotify-listen, spotify-save, tiktok-follow, tiktok-watch, tiktok-post, youtube-like, youtube-comment, youtube-subscribe, action-completion, skip-action, 42-school, api-auth-link, api-token-link, apple, asgardeo, atlassian, auth0, authentik, azure-ad-b2c, azure-ad, azure-devops, battlenet, beyondidentity, box, boxyhq-saml, bungie, click-up, cognito, coinbase, descope, discord, dribbble, dropbox, duende-identity-server6, email, eveonline, facebook, faceit, foursquare, freshbooks, fusionauth, github, gitlab, google, hubspot, identity-server4, instagram, kakao, keycloak, line, linkedin, mailchimp, mailru, mastodon, mattermost, medium, naver, netlify, notion, okta, onelogin, organisation-oidc, osso, osu, passage, patreon, pinterest, pipedrive, reddit, salesforce, slack, spotify, strava, tiktok, todoist, trakt, twitch, twitter, united-effects, vk, wikimedia, wordpress, workos, yandex, youtube, zitadel, zoho, zoom, blog-comment, blog-like, blog-share, blog-view, challenge-started, challenge-completion, challenge-unlock, community-visit, parental-approval-requested, parental-approval-approved, parental-approval-rejected, custom, game-started, game-completed, leaderboard-finish, invite-admin-user, points-credit, points-spend, post-comment, post-like, post-view, reward-redemption, reward-allocation-purchase, reward-giveaway-winner, reward-claim, reward-distribution, manual-distribution, referral-link-used, shop-purchase, share-challenge-details, share-challenge-results, share-community, share-reward, share-post, share-profile, share-anything, streak-extended, profile-picture-added, bio-added, variable-captured, xp-gained, xp-total, xp-leaderboard-topper Additional metadata inherited from the reward
Show child attributes
Show child attributes
Additional communities this reward asset belongs to/is available in
Was this page helpful?

